org.apache.uima.fit.cpe

## Class CpePipeline

- java.lang.Object
- - org.apache.uima.fit.cpe.CpePipeline

-     public final class CpePipeline
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `runPipeline(org.apache.uima.collection.CollectionReaderDescription readerDesc, org.apache.uima.analysis_engine.AnalysisEngineDescription... descs)` Run the CollectionReader and AnalysisEngines as a multi-threaded pipeline.
    `static void` | `runPipeline(int parallelism, org.apache.uima.collection.CollectionReaderDescription readerDesc, org.apache.uima.analysis_engine.AnalysisEngineDescription... descs)` Run the CollectionReader and AnalysisEngines as a multi-threaded pipeline.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### runPipeline

          public static void runPipeline(org.apache.uima.collection.CollectionReaderDescription readerDesc,
                                         org.apache.uima.analysis_engine.AnalysisEngineDescription... descs)
                                  throws org.apache.uima.UIMAException,
                                         SAXException,
                                         org.apache.uima.collection.metadata.CpeDescriptorException,
                                         IOException

      Run the CollectionReader and AnalysisEngines as a multi-threaded pipeline. This call uses a number of threads equal to the number of available processors (as reported by Java, so usually boiling down to cores) minus 1 - minimum of 1.
      Parameters:
        `readerDesc` - The CollectionReader that loads the documents into the CAS.
        `descs` - Primitive AnalysisEngineDescriptions that process the CAS, in order. If you have a mix of primitive and aggregate engines, then please create the AnalysisEngines yourself and call the other runPipeline method.
      Throws:
        `SAXException` - if there was a XML-related problem materializing the component descriptors that are referenced from the CPE descriptor
        `IOException` - if there was a I/O-related problem materializing the component descriptors that are referenced from the CPE descriptor
        `org.apache.uima.collection.metadata.CpeDescriptorException` - if there was a problem configuring the CPE descriptor
        `org.apache.uima.UIMAException` - if there was a problem initializing or running the CPE.

    - #### runPipeline

          public static void runPipeline(int parallelism,
                                         org.apache.uima.collection.CollectionReaderDescription readerDesc,
                                         org.apache.uima.analysis_engine.AnalysisEngineDescription... descs)
                                  throws org.apache.uima.UIMAException,
                                         SAXException,
                                         org.apache.uima.collection.metadata.CpeDescriptorException,
                                         IOException

      Run the CollectionReader and AnalysisEngines as a multi-threaded pipeline.
      Parameters:
        `parallelism` - Number of threads to use when running the analysis engines in the CPE.
        `readerDesc` - The CollectionReader that loads the documents into the CAS.
        `descs` - Primitive AnalysisEngineDescriptions that process the CAS, in order. If you have a mix of primitive and aggregate engines, then please create the AnalysisEngines yourself and call the other runPipeline method.
      Throws:
        `SAXException` - if there was a XML-related problem materializing the component descriptors that are referenced from the CPE descriptor
        `IOException` - if there was a I/O-related problem materializing the component descriptors that are referenced from the CPE descriptor
        `org.apache.uima.collection.metadata.CpeDescriptorException` - if there was a problem configuring the CPE descriptor
        `org.apache.uima.UIMAException` - if there was a problem initializing or running the CPE.

Copyright © 2012–2020 The Apache Software Foundation. All rights reserved.